Subject: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: Danny Freeman <[email-masked]>
Date: Wed, 23 Nov 2022 09:03:19 -0500

João Távora <[email-masked]> writes:

> Maybe I misunderstood, but it seemed like you were proposing that
> we change url-parse.el so that  it isn't fooled into thinking windows path
> names are URLs with the drive letter as the 'url-type'.
>
> If that were the correct solution (I tend to think it is), then it would
> _not_ suffice to fix Eglot on Emacsen older than 29, because url-parse.el
> is not distributed separately as a :core ELPA package.
>
> So unless we made url-parse.el such a package, we would need a Danny's
> "kludgy" patch to eglot.el anyway.
>
> In any case, I suggest that a solution be based on the patch shown in that
>> bug#59338 discussion.
>>
>
> Having now read Danny's patch, I think it's good to commit.
>
> João

Aside from the windows path bug, which is addressed in the other tick,
is this ticket safe to close? Eglot now tries to avoid parsing non-file
type URLs, and we decided against the warning message. Is there anything
else to do?

-- 
Danny Freeman